MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026672Open CASCADE[OCCT] OCCT:Visualizationpublic2015-09-09 14:162015-10-23 20:50
Reporterkgv 
Assigned Tobugmaster 
PrioritylowSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026672: Visualization, TKOpenGl - workaround problem on mobile hardware with extremely low precision of mod() in GLSL
DescriptionSome mobile hardware clamps result of mod() to range [-1024, 1024].
This causes row-interlaced stereo shader to work only on the part of the screen.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0045322)
git (administrator)
2015-09-09 14:28

Branch CR26672 has been created by kgv.

SHA-1: 6bd11c1a408543823b5e4e27d861d3d2f1f1e1ed


Detailed log of new commits:

Author: kgv
Date: Wed Sep 9 14:24:21 2015 +0300

    0026672: Visualization, TKOpenGl - workaround mobile hardware with extremely low precision of mod() in GLSL
(0045323)
kgv (developer)
2015-09-09 14:29

Please test the patch.
(0045412)
apv (tester)
2015-09-10 13:33

Dear BugMaster,

Branch CR26672 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 6bd11c1a408543823b5e4e27d861d3d2f1f1e1ed

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 91138920 / 91940240 [-0.87%]
Total CPU difference: 17815.13999999903 / 17715.619999998973 [+0.56%]

Testing on Windows:
Total MEMORY difference: 57092255 / 57101268 [-0.02%]
Total CPU difference: 16248.892558898995 / 16228.721629599388 [+0.12%]
(0046886)
git (administrator)
2015-10-16 16:14

Branch CR26672 has been deleted by kgv.

SHA-1: 6bd11c1a408543823b5e4e27d861d3d2f1f1e1ed

- Related Changesets
occt: master 6e66a3fa
Timestamp: 2015-09-09 11:24:21
Author: kgv
Committer: bugmaster
Details ] Diff ]
0026672: Visualization, TKOpenGl - workaround mobile hardware with extremely low precision of mod() in GLSL
mod - src/OpenGl/OpenGl_ShaderManager.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-09-09 14:16 kgv New Issue
2015-09-09 14:16 kgv Assigned To => kgv
2015-09-09 14:28 git Note Added: 0045322
2015-09-09 14:29 kgv Note Added: 0045323
2015-09-09 14:29 kgv Assigned To kgv => bugmaster
2015-09-09 14:29 kgv Priority normal => low
2015-09-09 14:29 kgv Status new => resolved
2015-09-09 14:29 kgv Status resolved => reviewed
2015-09-09 14:29 kgv Relationship added child of 0025556
2015-09-09 14:45 kgv Summary Visualization, TKOpenGl - workaround mobile hardware with extremely low precision of mod() in GLSL => Visualization, TKOpenGl - workaround problem on mobile hardware with extremely low precision of mod() in GLSL
2015-09-09 15:08 apv Assigned To bugmaster => apv
2015-09-10 12:30 apv Test case number => Not needed
2015-09-10 13:33 apv Note Added: 0045412
2015-09-10 13:33 apv Assigned To apv => bugmaster
2015-09-10 13:33 apv Status reviewed => tested
2015-09-11 14:09 bugmaster Changeset attached => occt master 6e66a3fa
2015-09-11 14:09 bugmaster Status tested => verified
2015-09-11 14:09 bugmaster Resolution open => fixed
2015-09-11 19:01 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:55 aiv Status verified => closed
2015-10-16 16:14 git Note Added: 0046886
2015-10-23 20:50 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker